> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post usersaccept terms

> Accept user agreement



## OpenAPI

````yaml /schema.json post /users/accept_terms
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /users/accept_terms:
    post:
      tags:
        - Users
      description: Accept user agreement
      operationId: acceptTerms
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Accepted terms and conditions response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptTermsResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AcceptTermsResponse:
      type: object
      properties:
        message:
          type: string
        object:
          $ref: '#/components/schemas/User'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    User:
      type: object
      properties:
        email:
          title: Email address
          type: string
          format: email
        roles:
          title: Roles
          type: array
          items:
            type: string
            anyOf:
              - const: ROLE_USER
                title: Viewer
                description: >-
                  This role is allowed to view configurations and logs, and run
                  configurations.
              - const: ROLE_EDITOR
                title: Editor
                description: >-
                  This role is allowed to edit configurations, view logs and run
                  configurations.
              - const: ROLE_ADMINISTRATOR
                title: Administrator
                description: >-
                  This role is allowed to edit configurations and manage users,
                  view logs and run configurations.
          minItems: 1
          uniqueItems: true
      required:
        - email
        - roles

````